Skip to content

cluster / mapping ​

16 operations.

GET /cluster/mapping ​

ts
proxmox.cluster.mapping.$get()

List resource types.

Returns an array of object.

GET /cluster/mapping/dir ​

ts
proxmox.cluster.mapping.dir.$get()

List directory mapping

Returns an array of object.

ParameterTypeRequiredNotes
check-nodestringIf given, checks the configurations on the given node for correctness, and adds relevant diagnostics for the directory to the response. — format pve-node

POST /cluster/mapping/dir ​

ts
proxmox.cluster.mapping.dir.$post()

Create a new directory mapping.

Returns nothing.

ParameterTypeRequiredNotes
descriptionstringDescription of the directory mapping — ≤ 4096 chars
idstringyesThe ID of the directory mapping — format pve-configid
mapstring[]yesA list of maps for the cluster nodes.

GET /cluster/mapping/dir/{id} ​

ts
proxmox.cluster.mapping.dir.$(id).$get()

Get directory mapping.

Returns object.

ParameterTypeRequiredNotes
idstringyesformat pve-configid

PUT /cluster/mapping/dir/{id} ​

ts
proxmox.cluster.mapping.dir.$(id).$put()

Update a directory mapping.

Returns nothing.

ParameterTypeRequiredNotes
deletestringA list of settings you want to delete. — format pve-configid-list, ≤ 4096 chars
descriptionstringDescription of the directory mapping — ≤ 4096 chars
digeststringPrevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars
idstringyesThe ID of the directory mapping — format pve-configid
mapstring[]A list of maps for the cluster nodes.

DELETE /cluster/mapping/dir/{id} ​

ts
proxmox.cluster.mapping.dir.$(id).$delete()

Remove directory mapping.

Returns nothing.

ParameterTypeRequiredNotes
idstringyesformat pve-configid

GET /cluster/mapping/pci ​

ts
proxmox.cluster.mapping.pci.$get()

List PCI Hardware Mapping

Returns an array of object.

ParameterTypeRequiredNotes
check-nodestringIf given, checks the configurations on the given node for correctness, and adds relevant diagnostics for the devices to the response. — format pve-node

POST /cluster/mapping/pci ​

ts
proxmox.cluster.mapping.pci.$post()

Create a new hardware mapping.

Returns nothing.

ParameterTypeRequiredNotes
descriptionstringDescription of the logical PCI device. — ≤ 4096 chars
idstringyesThe ID of the logical PCI mapping. — format pve-configid
live-migration-capablebooleanMarks the device(s) as being able to be live-migrated (Experimental). This needs hardware and driver support to work. — default 0
mapstring[]yesA list of maps for the cluster nodes.
mdevbooleanMarks the device(s) as being capable of providing mediated devices. — default 0

GET /cluster/mapping/pci/{id} ​

ts
proxmox.cluster.mapping.pci.$(id).$get()

Get PCI Mapping.

Returns object.

ParameterTypeRequiredNotes
idstringyesformat pve-configid

PUT /cluster/mapping/pci/{id} ​

ts
proxmox.cluster.mapping.pci.$(id).$put()

Update a hardware mapping.

Returns nothing.

ParameterTypeRequiredNotes
deletestringA list of settings you want to delete. — format pve-configid-list, ≤ 4096 chars
descriptionstringDescription of the logical PCI device. — ≤ 4096 chars
digeststringPrevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars
idstringyesThe ID of the logical PCI mapping. — format pve-configid
live-migration-capablebooleanMarks the device(s) as being able to be live-migrated (Experimental). This needs hardware and driver support to work. — default 0
mapstring[]A list of maps for the cluster nodes.
mdevbooleanMarks the device(s) as being capable of providing mediated devices. — default 0

DELETE /cluster/mapping/pci/{id} ​

ts
proxmox.cluster.mapping.pci.$(id).$delete()

Remove Hardware Mapping.

Returns nothing.

ParameterTypeRequiredNotes
idstringyesformat pve-configid

GET /cluster/mapping/usb ​

ts
proxmox.cluster.mapping.usb.$get()

List USB Hardware Mappings

Returns an array of object.

ParameterTypeRequiredNotes
check-nodestringIf given, checks the configurations on the given node for correctness, and adds relevant errors to the devices. — format pve-node

POST /cluster/mapping/usb ​

ts
proxmox.cluster.mapping.usb.$post()

Create a new hardware mapping.

Returns nothing.

ParameterTypeRequiredNotes
descriptionstringDescription of the logical USB device. — ≤ 4096 chars
idstringyesThe ID of the logical USB mapping. — format pve-configid
mapstring[]yesA list of maps for the cluster nodes.

GET /cluster/mapping/usb/{id} ​

ts
proxmox.cluster.mapping.usb.$(id).$get()

Get USB Mapping.

Returns object.

ParameterTypeRequiredNotes
idstringyesformat pve-configid

PUT /cluster/mapping/usb/{id} ​

ts
proxmox.cluster.mapping.usb.$(id).$put()

Update a hardware mapping.

Returns nothing.

ParameterTypeRequiredNotes
deletestringA list of settings you want to delete. — format pve-configid-list, ≤ 4096 chars
descriptionstringDescription of the logical USB device. — ≤ 4096 chars
digeststringPrevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars
idstringyesThe ID of the logical USB mapping. — format pve-configid
mapstring[]yesA list of maps for the cluster nodes.

DELETE /cluster/mapping/usb/{id} ​

ts
proxmox.cluster.mapping.usb.$(id).$delete()

Remove Hardware Mapping.

Returns nothing.

ParameterTypeRequiredNotes
idstringyesformat pve-configid